Package org.eclipse.mat.report

# Class SpecFactory.Report

java.lang.Object
org.eclipse.mat.report.SpecFactory.Report

Enclosing class:
  SpecFactory

public class SpecFactory.Report extends Object

## Constructor Summary

Constructors
Constructor
Description
`Report(IConfigurationElement configElement)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`String`
`getExtensionIdentifier()`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Report

public Report(IConfigurationElement configElement)

## Method Details

### getExtensionIdentifier

public String getExtensionIdentifier()

### getName

public String getName()

### getDescription

public String getDescription()